DbBtreeStat (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.db.DbBtreeStat,DbBtreeStat class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class DbBtreeStat

    java.lang.Object
      |
      +--com.sleepycat.db.DbBtreeStat

public class DbBtreeStat
extends Object

The DbBtreeStat object is used to return Btree or Recno database statistics.

Field Summary
`int` | `bt_dup_pg` Number of database duplicate pages.
`int` | `bt_dup_pgfree` Number of bytes free in database duplicate pages.
`int` | `bt_free` Number of pages on the free list.
`int` | `bt_int_pg` Number of database internal pages.
`int` | `bt_int_pgfree` Number of bytes free in database internal pages.
`int` | `bt_leaf_pg` Number of database leaf pages.
`int` | `bt_leaf_pgfree` Number of bytes free in database leaf pages.
`int` | `bt_levels` Number of levels in the database.
`int` | `bt_magic` Magic number that identifies the file as a Btree database.
`int` | `bt_maxkey`
`int` | `bt_metaflags`
`int` | `bt_minkey` The minimum keys per page.
`int` | `bt_ndata` For the Btree Access Method, the number of key/data pairs in the database.
`int` | `bt_nkeys` For the Btree Access Method, the number of unique keys in the database.
`int` | `bt_over_pg` Number of database overflow pages.
`int` | `bt_over_pgfree` Number of bytes free in database overflow pages.
`int` | `bt_pagesize` Underlying database page size, in bytes.
`int` | `bt_re_len` The length of fixed-length records.
`int` | `bt_re_pad` The padding byte value for fixed-length records.
`int` | `bt_version` The version of the Btree database.

Constructor Summary
`DbBtreeStat()`

Method Summary
`String` | `toString()` Provide a string representation of all the fields contained within this class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bt_magic

    public int bt_magic

  Magic number that identifies the file as a Btree database. Returned if Db.DB_FAST_STAT is set.

### bt_version

    public int bt_version

  The version of the Btree database. Returned if Db.DB_FAST_STAT is set.

### bt_metaflags

    public int bt_metaflags

### bt_nkeys

    public int bt_nkeys

  For the Btree Access Method, the number of unique keys in the database. If Db.DB_FAST_STAT was specified and the database was created with the `Db.DB_RECNUM` flag, the count will be exact, otherwise, the count will be the last saved value unless it has never been calculated, in which case it will be 0. For the Recno Access Method, the exact number of records in the database. Returned if Db.DB_FAST_STAT is set.

### bt_ndata

    public int bt_ndata

  For the Btree Access Method, the number of key/data pairs in the database. If Db.DB_FAST_STAT was specified the count will be the last saved value unless it has never been calculated, in which case it will be 0. For the Recno Access Method, the exact number of records in the database. If the database has been configured to not renumber records during deletion, the count of records will only reflect undeleted records. Returned if Db.DB_FAST_STAT is set.

### bt_pagesize

    public int bt_pagesize

  Underlying database page size, in bytes. Returned if Db.DB_FAST_STAT is set.

### bt_maxkey

    public int bt_maxkey

### bt_minkey

    public int bt_minkey

  The minimum keys per page. Returned if Db.DB_FAST_STAT is set.

### bt_re_len

    public int bt_re_len

  The length of fixed-length records. Returned if Db.DB_FAST_STAT is set.

### bt_re_pad

    public int bt_re_pad

  The padding byte value for fixed-length records. Returned if Db.DB_FAST_STAT is set.

### bt_levels

    public int bt_levels

  Number of levels in the database.

### bt_int_pg

    public int bt_int_pg

  Number of database internal pages.

### bt_leaf_pg

    public int bt_leaf_pg

  Number of database leaf pages.

### bt_dup_pg

    public int bt_dup_pg

  Number of database duplicate pages.

### bt_over_pg

    public int bt_over_pg

  Number of database overflow pages.

### bt_free

    public int bt_free

  Number of pages on the free list.

### bt_int_pgfree

    public int bt_int_pgfree

  Number of bytes free in database internal pages.

### bt_leaf_pgfree

    public int bt_leaf_pgfree

  Number of bytes free in database leaf pages.

### bt_dup_pgfree

    public int bt_dup_pgfree

  Number of bytes free in database duplicate pages.

### bt_over_pgfree

    public int bt_over_pgfree

  Number of bytes free in database overflow pages.

Constructor Detail

### DbBtreeStat

    public DbBtreeStat()

Method Detail

### toString

    public String toString()

  Provide a string representation of all the fields contained within this class.

  Overrides:
    `toString` in class `Object`
  Returns:
    The string representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.